Package com.xebialabs.xlrelease.api.v1.forms

## Class ReleasesFilters

- java.lang.Object
- - com.xebialabs.xlrelease.api.v1.forms.ReleasesFilters

-     public class ReleasesFilters
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReleasesFilters()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ReleasesFilters` | `active()` |
    `java.util.List<java.lang.String>` | `getCategories()` |
    `java.util.Date` | `getFrom()` |
    `ReleaseKind` | `getKind()` |
    `ReleaseOrderMode` | `getOrderBy()` |
    `ReleaseOrderDirection` | `getOrderDirection()` |
    `java.lang.String` | `getParentId()` |
    `java.util.Date` | `getQueryEndDate()` |
    `java.util.Date` | `getQueryStartDate()` |
    `RiskStatusWithThresholds` | `getRiskStatusWithThresholds()` |
    `java.util.List<ReleaseStatus>` | `getStatuses()` |
    `java.util.List<java.lang.String>` | `getTags()` |
    `java.util.List<java.lang.String>` | `getTaskTags()` |
    `TimeFrame` | `getTimeFrame()` |
    `java.lang.String` | `getTitle()` |
    `java.util.Date` | `getTo()` |
    `boolean` | `hasASelectedFilter()` |
    `void` | `setAborted​(boolean aborted)` |
    `void` | `setActive​(boolean active)` |
    `void` | `setCategories​(java.util.List<java.lang.String> categories)` |
    `void` | `setCompleted​(boolean completed)` |
    `void` | `setFailed​(boolean failed)` |
    `void` | `setFailing​(boolean failing)` |
    `void` | `setFrom​(java.util.Date from)` |
    `void` | `setInactive​(boolean inactive)` |
    `void` | `setInProgress​(boolean inProgress)` |
    `void` | `setKind​(ReleaseKind kind)` |
    `void` | `setOnlyArchived​(boolean onlyArchived)` |
    `void` | `setOnlyFlagged​(boolean onlyFlagged)` |
    `void` | `setOnlyMine​(boolean onlyMine)` |
    `void` | `setOrderBy​(ReleaseOrderMode orderBy)` |
    `void` | `setOrderDirection​(ReleaseOrderDirection orderDirection)` |
    `void` | `setParentId​(java.lang.String parentId)` |
    `void` | `setPaused​(boolean paused)` |
    `void` | `setPlanned​(boolean planned)` |
    `void` | `setRiskStatusWithThresholds​(RiskStatusWithThresholds riskStatusWithThresholds)` |
    `void` | `setTags​(java.util.List<java.lang.String> tags)` |
    `ReleasesFilters` | `setTaskTags​(java.util.List<java.lang.String> taskTags)` |
    `void` | `setTimeFrame​(TimeFrame timeFrame)` |
    `void` | `setTitle​(java.lang.String title)` |
    `void` | `setTo​(java.util.Date to)` |
    `boolean` | `withAborted()` |
    `boolean` | `withActive()` |
    `boolean` | `withCompleted()` |
    `boolean` | `withFailed()` |
    `boolean` | `withFailing()` |
    `boolean` | `withInactive()` |
    `boolean` | `withInProgress()` |
    `boolean` | `withOnlyArchived()` |
    `boolean` | `withOnlyFlagged()` |
    `boolean` | `withOnlyMine()` |
    `boolean` | `withPaused()` |
    `boolean` | `withPlanned()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReleasesFilters

          public ReleasesFilters()

  - ### Method Detail

    - #### hasASelectedFilter

          public boolean hasASelectedFilter()

    - #### getTitle

          public java.lang.String getTitle()

    - #### setTitle

          public void setTitle​(java.lang.String title)

    - #### getFrom

          public java.util.Date getFrom()

    - #### setFrom

          public void setFrom​(java.util.Date from)

    - #### getTo

          public java.util.Date getTo()

    - #### setTo

          public void setTo​(java.util.Date to)

    - #### withPlanned

          public boolean withPlanned()

    - #### setPlanned

          public void setPlanned​(boolean planned)

    - #### withActive

          public boolean withActive()

    - #### setActive

          public void setActive​(boolean active)

    - #### withInProgress

          public boolean withInProgress()

    - #### setInProgress

          public void setInProgress​(boolean inProgress)

    - #### withPaused

          public boolean withPaused()

    - #### setPaused

          public void setPaused​(boolean paused)

    - #### withFailing

          public boolean withFailing()

    - #### setFailing

          public void setFailing​(boolean failing)

    - #### withFailed

          public boolean withFailed()

    - #### setFailed

          public void setFailed​(boolean failed)

    - #### withInactive

          public boolean withInactive()

    - #### setInactive

          public void setInactive​(boolean inactive)

    - #### withCompleted

          public boolean withCompleted()

    - #### setCompleted

          public void setCompleted​(boolean completed)

    - #### withAborted

          public boolean withAborted()

    - #### setAborted

          public void setAborted​(boolean aborted)

    - #### withOnlyMine

          public boolean withOnlyMine()

    - #### setOnlyMine

          public void setOnlyMine​(boolean onlyMine)

    - #### withOnlyFlagged

          public boolean withOnlyFlagged()

    - #### setOnlyFlagged

          public void setOnlyFlagged​(boolean onlyFlagged)

    - #### withOnlyArchived

          public boolean withOnlyArchived()

    - #### setOnlyArchived

          public void setOnlyArchived​(boolean onlyArchived)

    - #### getTimeFrame

          public TimeFrame getTimeFrame()

    - #### setTimeFrame

          public void setTimeFrame​(TimeFrame timeFrame)

    - #### getParentId

          public java.lang.String getParentId()

    - #### setParentId

          public void setParentId​(java.lang.String parentId)

    - #### active

          public static ReleasesFilters active()

    - #### getQueryStartDate

          public java.util.Date getQueryStartDate()

    - #### getQueryEndDate

          public java.util.Date getQueryEndDate()

    - #### getOrderBy

          public ReleaseOrderMode getOrderBy()

    - #### setOrderBy

          public void setOrderBy​(ReleaseOrderMode orderBy)

    - #### getOrderDirection

          public ReleaseOrderDirection getOrderDirection()

    - #### setOrderDirection

          public void setOrderDirection​(ReleaseOrderDirection orderDirection)

    - #### getRiskStatusWithThresholds

          public RiskStatusWithThresholds getRiskStatusWithThresholds()

    - #### setRiskStatusWithThresholds

          public void setRiskStatusWithThresholds​(RiskStatusWithThresholds riskStatusWithThresholds)

    - #### getKind

          public ReleaseKind getKind()

    - #### setKind

          public void setKind​(ReleaseKind kind)

    - #### getTags

          public java.util.List<java.lang.String> getTags()

    - #### setTags

          public void setTags​(java.util.List<java.lang.String> tags)

    - #### getTaskTags

          public java.util.List<java.lang.String> getTaskTags()

    - #### setTaskTags

          public ReleasesFilters setTaskTags​(java.util.List<java.lang.String> taskTags)

    - #### getStatuses

          public java.util.List<ReleaseStatus> getStatuses()

    - #### getCategories

          public java.util.List<java.lang.String> getCategories()

    - #### setCategories

          public void setCategories​(java.util.List<java.lang.String> categories)